
Partial Class Products
    Inherits System.Web.UI.Page

Protected Sub Page_Load(ByVal sender As Object, _
		ByVal e As System.EventArgs) Handles Me.Load
	If User.Identity.IsAuthenticated = False Then
	   Response.Redirect("login.aspx")
	End If
        Me.Master.PageSubTitle.Text = "Produkty"

	Dim strCommand As String = String.Empty
	strCommand = "select ProductID, Name, ProductNumber, ListPrice from " + _
					"Production.Product "
	strCommand += "where ProductSubcategoryID in "
	strCommand += "(select ProductSubcategoryID from " + _
					"Production.ProductSubcategory "
	strCommand += "where ProductCategoryID = "
	strCommand += "@ProductCategoryID)"
	sqlProducts.SelectCommand = strCommand

	strCommand = String.Empty
        strCommand += "select product.*, subcat.ProductSubcategoryID, " + _
     "subcat.Name as SubcategoryName, "
	strCommand += "cat.ProductCategoryID, cat.Name as CategoryName, "
        strCommand += "model.Name as ModelName, model.CatalogDescription, " + _
            "model.Instructions, "
	strCommand += "description.Description "
	strCommand += "from Production.Product product "
        strCommand += "join Production.ProductSubcategory subcat on " + _
            "product.ProductSubcategoryID = subcat.ProductSubcategoryID "
	strCommand += _
		"join Production.ProductCategory cat on subcat.ProductCategoryID = " + _
					"cat.ProductCategoryID "
        strCommand += _
         "join Production.ProductModel model on product.ProductModelID = " + _
            "model.ProductModelID "
	strCommand += _
		"join Production.ProductModelProductDescriptionCulture culture on " + _
					"model.ProductModelID = culture.ProductModelID "
	strCommand += "join Production.ProductDescription description on " + _
					"culture.ProductDescriptionID = " + _
					"description.ProductDescriptionID "
        strCommand += "where product.ProductID = @ProductID and " + _
            "culture.CultureID = 'en' "
	sqlDetailsView.SelectCommand = strCommand

End Sub
Protected Sub btnAddToCart_Click(ByVal sender As Object, _
		ByVal e As System.EventArgs)
	' zawarto koszyka zostanie zapisana w obiekcie Session jako
	' cig oddzielonych od siebie przecinkami identyfikatorw ProductID
	Dim strCart As String = String.Empty
	Dim strProductId As String = gvProducts.SelectedDataKey.Value.ToString()

	If Session("Cart") Is Nothing Then
		strCart = strProductId
	Else
		strCart = Session("Cart").ToString() + ", " + strProductId
	End If

	Session("Cart") = strCart
	lblCart.Text = strCart
End Sub

Protected Sub gvProducts_SelectedIndexChanged(ByVal sender As Object, _
		ByVal e As System.EventArgs) _
		Handles gvProducts.SelectedIndexChanged
	pnlProduct.Visible = True
End Sub

Protected Sub gvProducts_RowDataBound(ByVal sender As Object, _
		ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs) _
		Handles gvProducts.RowDataBound
	Dim str As String = String.Empty
	If e.Row.RowType = DataControlRowType.DataRow Then
            Dim cell As TableCell = e.Row.Cells(4)  ' komrka ListPrice
		Dim nCost As Decimal
		Try
			nCost = CType(cell.Text, Decimal)
			str = nCost.ToString("##,##0.00", Nothing)
		Catch ex As ApplicationException
			str = "n.a."
		Finally
			cell.Text = str
		End Try
	End If
End Sub

Protected Sub rblCategories_SelectedIndexChanged(ByVal sender As Object, _
		ByVal e As System.EventArgs) _
		Handles rblCategories.SelectedIndexChanged
	pnlProduct.Visible = False
End Sub

End Class
